# std::swap(std::priority_queue)

From cppreference.com
< cpp‎ | container‎ | priority queue

template< class T, class Container, class Compare > void swap( priority_queue<T,Container,Compare>& lhs, priority_queue<T,Container,Compare>& rhs ); |  | (until C++17)
template< class T, class Container, class Compare > void swap( priority_queue<T,Container,Compare>& lhs, priority_queue<T,Container,Compare>& rhs ) noexcept(/* see below */); |  | (since C++17)

Specializes the std::swap algorithm for std::priority_queue. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

This overload only participates in overload resolution if std::is_swappable <Container>::value and std::is_swappable <Compare>::value are both true. | (since C++17)

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Same as swapping the underlying container.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/swap2&oldid=50630"